Solució a problemes amb Ubuntu i Mint en Lenovo G480

Ja fa força temps segueixo aquest blog i em sembla molt bo per això vaig decidir posar aquesta solució aquí ja que compri aquesta portàtil i vaig trobar aquests problemes en el a l'instal·lar Ubuntu 12.04 y Linux Mint 14 agrairia les correccions ja que sóc molt novell en qüestió de realitzar tutorials.
Continuació li mostri la forma de solució dels inconvenients que té el lenovo G480 amb Xarxa sense fils i ethernet i perquè funcioni la brillantor

1-Solució ethernet

Primer que res ingressem a la nostra BIOS i posem en de el UEFI. Ja que no estem connectats a cap xarxa baixem aquest paquet (build-essential: http://packages.ubuntu.com/precise/build-essential) Per després instal·lar-ho en la nostra portàtil. En Ubuntu 12.04 ens demana dependències dpkg-dev, g ++, gcc, libc6-dev or libc-dev i make. A Linux Mint 14 no demana això després que ja està instal·lat el paquet build-essential ja que tenim això instal·lat procedim a instal·lar el següent paquet

descarregar Paquet

La instal·lació és senzilla. Obrim un terminal i posem:

$ cd Desktop
$ tar -xf compat-wireless-3.5.1-1-snpc.tar.bz2
$ cd compat-wireless-3.5.1-1-snpc
$ ./scripts/driver-select alx
$ make
$ sudo make install
$ sudo modprobe alx

ja tenint això podem connectar el nostre cable de xarxa sense cap problema

Per a Linux Mint 14 la connexió per sense fils és només ingressar a Orígens de programari he instal·lar el controlador privatiu. Per ubuntu 12.04 ho farem per terminal amb el següent:

Revisem que la nostra targeta sigui la Broadcom 14e4: 4727 per això posem a la terminal el següent

lspci -nn | grep 0280

Ja tenint això el que ens queda per fer és col·locar el següent:

sudo apt-get install --reinstall bcmwl-kernel-source

i llest tindrem connexió inalambrica.

I per últim la brillantor, per això vam ingressar a l'arxiu del nostre grub

sudo gedit /etc/default/grub
sudo nano /etc/default/grub

Amb qualsevol dels dos ingressa a l'arxiu

Busquem la línia que diu:

GRUB_CMDLINE_LINUX_DEFAULT=“quiet splash”

i sota d'ella col·loquem el següent

GRUB_CMDLINE_LINUX_DEFAULT="acpi_backlight=vendor"

Actualitzem el nostre Grub

sudo update-grub

I en el següent podem regular la brillantor de la nostra portàtil.


El contingut d'l'article s'adhereix als nostres principis de ètica editorial. Per notificar un error punxa http://secbcaixabank.info/SECB-COVIDXNUMX-DENUNCIA-INSPECCION-PROTOCOLO-.pdf.

14 comentaris, deixa el teu

Deixa el teu comentari

La seva adreça de correu electrònic no es publicarà. Els camps obligatoris estan marcats amb *

*

*

  1. Responsable de les dades: Miguel Ángel Gatón
  2. Finalitat de les dades: Controlar l'SPAM, gestió de comentaris.
  3. Legitimació: El teu consentiment
  4. Comunicació de les dades: No es comunicaran les dades a tercers excepte per obligació legal.
  5. Emmagatzematge de les dades: Base de dades allotjada en Occentus Networks (UE)
  6. Drets: En qualsevol moment pots limitar, recuperar i esborrar la teva informació.

  1.   solidus00 va dir

    Excel·lent tutorial per als que presentin el problema, et felicito.

  2.   Blaire Pascal va dir

    Gràcies Fulano de Tal aka. Dante jeje. Molt molt bon Estatut, sige escrivint.

  3.   Makova va dir

    Molt bo. Si a la fi em compro un Lenovo o no 😀

  4.   Makova va dir

    Bé si, quan vinguin de sèrie amb Debian o Arch

  5.   Elynx va dir

    No està gens malament!

    Salutacions!

  6.   LucasMatias va dir

    S'agraeix l'aportació senyor moltes gràcies vaig seguir postejant 😉

  7.   somes va dir

    Molt bo, però si revisases la puntuació seria més còmode de llegir.

  8.   dextre va dir

    hola i seguint amb aquesta màquina i usant ubuntu 12.10 per posar la brillantor per defecte cada vegada que prenguin la màquina Lenovo G480 de 64bits amb Intel va aixi

    ubuntu 12.10

    per posar brillantor per defecte, en una lenovo portatil G480 amb intel de 64bits

    entrar com a root o superusuari i escrius
    sudo gedit /etc/rc.local
    i just abans de l'exit 0
    poses el següent
    trobo 652> / sys / class / backlight / intel_backlight / brightness
    el 652 és el nivell que vaig posar perquè iniciï amb aquest nivell de brillantor per que el nivell de la brillantor amb intel va des de 0 a l'4437 això es posa abans que exit 0
    guardes i reinicies.

    aquesta és la ruta que faci servir en aquesta portatil que té intel
    sys / class / backlight / intel_backlight / brightness

    gràcies gnu / linux

    i em pregunto, i en fedora com serà perquè fins Hoar no aconsegueixo controlar la brillantor de pantalla usant aquesta mateixa portàtil, bé si aconsegueixi que la brillantor funcionés però després d'alguns reinicis ja no funciona més i no controla la brillantor, alguna ajuda siusplau en aquest tema.

  9.   Gibran va dir

    Hola a des linux com sempre és un plaer poder escriure'ls.

    Tinc un problema amb el meu Thinpad T410 tinc un processador core i5 VPRO de primera generaciòn, ram de 8 hiperx a 1600 ghz i una SSD ADATA sx900 de 250 GB, bé corre que fa por li instal linux mint xfce i pren en 4 segons. Ja vaig fer tot el que vaig trobar en els blocs des que el JavaScript estigui trim amb fstab, utilitzar partició en ext4, passar els arxius temporals a la ram i passar el swappiness a 10. però res cada desert temps em dóna error en els secores a l'revizar en SMART TEST em surt amb defectes en el ECC. bo per ara només faig servir la partició de Windows ja que en ella no em dóna errors.

    1.    dextre va dir

      hola amic Gibran, no entenc el teu problema que és el que vols fer?

  10.   Juan Ignacio va dir

    Hola, moltes gràcies per les instruccions. Potser puguin ajudar-me a l'hora d'instal·lar compat-wireless-3.5.1-1-snpc. Descomprimo la carpeta, va executar «./scripts/driver-select alx» i després «make» i aquí es em presenta el problema:

    «Make -C /lib/modules/3.8.0-27-generic/build M = / home / rus / compat-wireless-3.5.1-1-snpc modules
    make [1]: s'ingressa a directori «/usr/src/linux-headers-3.8.0-27-generic»
    CC [M] /home/ruso/compat-wireless-3.5.1-1-snpc/drivers/net/ethernet/atheros/alx/alx_main.o
    /home/ruso/compat-wireless-3.5.1-1-snpc/drivers/net/ethernet/atheros/alx/alx_main.c: A la funció 'alx_hw_printk':
    /home/ruso/compat-wireless-3.5.1-1-snpc/drivers/net/ethernet/atheros/alx/alx_main.c:124:3: error: declaració implícita de la funció '__netdev_printk' [-Werror = implicit -function-declaration]
    /home/ruso/compat-wireless-3.5.1-1-snpc/drivers/net/ethernet/atheros/alx/alx_main.c: En el nivell principal:
    /home/ruso/compat-wireless-3.5.1-1-snpc/drivers/net/ethernet/atheros/alx/alx_main.c:1955:22: error: expected '=', ',', ';', 'asm' or '__attribute__' before alx_init_adapter_special '
    /home/ruso/compat-wireless-3.5.1-1-snpc/drivers/net/ethernet/atheros/alx/alx_main.c:2010:22: error: expected '=', ',', ';', 'asm' or '__attribute__' before alx_init_adapter '
    /home/ruso/compat-wireless-3.5.1-1-snpc/drivers/net/ethernet/atheros/alx/alx_main.c:3472:22: error: expected '=', ',', ';', 'asm' or '__attribute__' before alx_init '
    /home/ruso/compat-wireless-3.5.1-1-snpc/drivers/net/ethernet/atheros/alx/alx_main.c:3780:23: error: expected '=', ',', ';', 'asm' or '__attribute__' before alx_remove '
    /home/ruso/compat-wireless-3.5.1-1-snpc/drivers/net/ethernet/atheros/alx/alx_main.c:3903:17: error: 'alx_init' no es va declarar aquí (no en una funció)
    /home/ruso/compat-wireless-3.5.1-1-snpc/drivers/net/ethernet/atheros/alx/alx_main.c:3904:2: error: declaració implícita de la funció '__devexit_p' [-Werror = implicit -function-declaration]
    /home/ruso/compat-wireless-3.5.1-1-snpc/drivers/net/ethernet/atheros/alx/alx_main.c:3904:29: error: 'alx_remove' no es va declarar aquí (no en una funció)
    /home/ruso/compat-wireless-3.5.1-1-snpc/drivers/net/ethernet/atheros/alx/alx_main.c:135:12: avís: es defineix 'alx_validate_mac_addr' però no s'usa [-Wunused- function]
    /home/ruso/compat-wireless-3.5.1-1-snpc/drivers/net/ethernet/atheros/alx/alx_main.c:210:12: avís: es defineix 'alx_init_hw_callbacks' però no s'usa [-Wunused- function]
    /home/ruso/compat-wireless-3.5.1-1-snpc/drivers/net/ethernet/atheros/alx/alx_main.c:1698:12: avís: es defineix 'alx_alloc_all_rtx_queue' però no s'usa [-Wunused- function]
    /home/ruso/compat-wireless-3.5.1-1-snpc/drivers/net/ethernet/atheros/alx/alx_main.c:1757:13: avís: es defineix 'alx_free_all_rtx_queue' però no s'usa [-Wunused- function]
    /home/ruso/compat-wireless-3.5.1-1-snpc/drivers/net/ethernet/atheros/alx/alx_main.c:1773:12: avís: es defineix 'alx_set_interrupt_param' però no s'usa [-Wunused- function]
    /home/ruso/compat-wireless-3.5.1-1-snpc/drivers/net/ethernet/atheros/alx/alx_main.c:1824:13: avís: es defineix 'alx_reset_interrupt_param' però no s'usa [-Wunused- function]
    /home/ruso/compat-wireless-3.5.1-1-snpc/drivers/net/ethernet/atheros/alx/alx_main.c:1914:12: avís: es defineix 'alx_set_interrupt_mode' però no s'usa [-Wunused- function]
    /home/ruso/compat-wireless-3.5.1-1-snpc/drivers/net/ethernet/atheros/alx/alx_main.c:1941:13: avís: es defineix 'alx_reset_interrupt_mode' però no s'usa [-Wunused- function]
    /home/ruso/compat-wireless-3.5.1-1-snpc/drivers/net/ethernet/atheros/alx/alx_main.c:2125:12: avís: es defineix 'alx_set_register_info_special' però no s'usa [-Wunused- function]
    /home/ruso/compat-wireless-3.5.1-1-snpc/drivers/net/ethernet/atheros/alx/alx_main.c:3043:13: avís: es defineix 'alx_timer_routine' però no s'usa [-Wunused- function]
    /home/ruso/compat-wireless-3.5.1-1-snpc/drivers/net/ethernet/atheros/alx/alx_main.c:3064:13: avís: es defineix 'alx_task_routine' però no s'usa [-Wunused- function]
    CC1: alguns avisos es tracten com a errors
    make [4]: ​​*** [/home/ruso/compat-wireless-3.5.1-1-snpc/drivers/net/ethernet/atheros/alx/alx_main.o] Error 1
    make [3]: *** [/home/ruso/compat-wireless-3.5.1-1-snpc/drivers/net/ethernet/atheros/alx] Error 2
    make [2]: *** [/home/ruso/compat-wireless-3.5.1-1-snpc/drivers/net/ethernet/atheros] Error 2
    make [1]: *** [_module_ / home / rus / compat-wireless-3.5.1-1-snpc] Error 2
    make [1]: se surt de directori «/usr/src/linux-headers-3.8.0-27-generic»
    make: *** [modules] Error 2 "

    He seguit les instruccions d'aquest fòrum: http://www.forosuse.org/forosuse/showthread.php?t=29916 y http://www.chakra-project.org/bbs/viewtopic.php?id=10514
    Però en realitat no entenc com accedir a l'error; vaig estar veient l'arxiu «alx_main, c» però no entenc res. Disculpin la meva ignorància, sóc realment un novell de Linux. Estic usant linux mint 15 en una Lenovo G480.

    Des de ja, moltes gràcies. Salutacions.

    1.    Dante va dir

      Quan em surten aquests errors els dono permisos a la carpeta on conté els arxius

  11.   anònim va dir

    com vas instal·lar Ubuntu en el teu lenovo?